Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io.arc
Interface ARCConstants

All Superinterfaces:
  ArchiveFileConstants

All Known Implementing Classes:
  ARCReader, ARCReaderFactory, ARCRecord, ARCRecordMetaData, ARCUtils, ARCWriter, ARCWriterProcessor

    public interface ARCConstants

extends ArchiveFileConstants

Constants used by ARC files and in ARC file processing.

Author:
  stack

Field Summary
`static java.lang.String` | `ARC_FILE_EXTENSION` ARC file extention.
`static byte[]` | `ARC_GZIP_EXTRA_FIELD` The FLG.FEXTRA field that is added to ARC files.
`static java.lang.String` | `ARC_MAGIC_NUMBER` ARC file *MAGIC NUMBER*.
`static java.lang.String` | `CHECKSUM_FIELD_KEY` Key for checksum field.
`static java.lang.String` | `CHECKSUM_HEADER_FIELD_KEY` Key for the ARC Header Checksum field.
`static java.lang.String` | `CODE_HEADER_FIELD_KEY` Key for the ARC Header Result Code field.
`static java.lang.String` | `COMPRESSED_ARC_FILE_EXTENSION` Compressed arc file extension.
`static java.lang.String` | `DEFAULT_ENCODING` Encoding to use getting bytes from strings.
`static int` | `DEFAULT_GZIP_HEADER_LENGTH` Length of minimual 'default GZIP header.
`static long` | `DEFAULT_MAX_ARC_FILE_SIZE` Default maximum ARC file size.
`static java.lang.String` | `DOT_ARC_FILE_EXTENSION` Dot ARC file extension.
`static java.lang.String` | `DOT_COMPRESSED_ARC_FILE_EXTENSION` Compressed dot arc file extension.
`static java.lang.String` | `DOT_COMPRESSED_FILE_EXTENSION`
`static java.lang.String` | `FILENAME_FIELD_KEY` Key for filename field.
`static java.lang.String` | `FILENAME_HEADER_FIELD_KEY` Key for the ARC Header filename field.
`static byte[]` | `GZIP_HEADER_BEGIN` Start of a GZIP header that uses default deflater.
`static char` | `HEADER_FIELD_SEPARATOR` ARC header field seperator character.
`static java.lang.String` | `IP_HEADER_FIELD_KEY` Key for the ARC Header IP field.
`static char` | `LINE_SEPARATOR` ARC file line seperator character.
`static java.lang.String` | `LOCATION_HEADER_FIELD_KEY` Key for the ARC Header Location field.
`static int` | `MAX_METADATA_LINE_LENGTH` Maximum length for a metadata line.
`static int` | `MINIMUM_RECORD_LENGTH` Minimum possible record length.
`static java.lang.String` | `OFFSET_FIELD_KEY` Key for offset field.
`static java.lang.String` | `OFFSET_HEADER_FIELD_KEY` Key for the ARC Header Offset field.
`static java.util.List` | `REQUIRED_VERSION_1_HEADER_FIELDS` Version 1 required metadata fields.
`static java.lang.String` | `STATUSCODE_FIELD_KEY` Key for statuscode field.
`static java.lang.String` | `TOKENIZED_PREFIX` Tokenized field prefix.

Fields inherited from interface org.archive.io.ArchiveFileConstants
`ABSOLUTE_OFFSET_KEY, CDX, CDX_FILE, CDX_LINE_BUFFER_SIZE, COMPRESSED_FILE_EXTENSION, CRLF, DATE_FIELD_KEY, DEFAULT_DIGEST_METHOD, DUMP, GZIP_DUMP, HEADER, INVALID_SUFFIX, LENGTH_FIELD_KEY, MIMETYPE_FIELD_KEY, NOHEAD, OCCUPIED_SUFFIX, READER_IDENTIFIER_FIELD_KEY, RECORD_IDENTIFIER_FIELD_KEY, SINGLE_SPACE, TYPE_FIELD_KEY, URL_FIELD_KEY, VERSION_FIELD_KEY`

Field Detail

### DEFAULT_MAX_ARC_FILE_SIZE

    static final long DEFAULT_MAX_ARC_FILE_SIZE

  Default maximum ARC file size.

  See Also:
    Constant Field Values

### MAX_METADATA_LINE_LENGTH

    static final int MAX_METADATA_LINE_LENGTH

  Maximum length for a metadata line.

  See Also:
    Constant Field Values

### ARC_FILE_EXTENSION

    static final java.lang.String ARC_FILE_EXTENSION

  ARC file extention.

  See Also:
    Constant Field Values

### DOT_ARC_FILE_EXTENSION

    static final java.lang.String DOT_ARC_FILE_EXTENSION

  Dot ARC file extension.

  See Also:
    Constant Field Values

### DOT_COMPRESSED_FILE_EXTENSION

    static final java.lang.String DOT_COMPRESSED_FILE_EXTENSION

See Also:
  Constant Field Values

### COMPRESSED_ARC_FILE_EXTENSION

    static final java.lang.String COMPRESSED_ARC_FILE_EXTENSION

  Compressed arc file extension.

  See Also:
    Constant Field Values

### DOT_COMPRESSED_ARC_FILE_EXTENSION

    static final java.lang.String DOT_COMPRESSED_ARC_FILE_EXTENSION

  Compressed dot arc file extension.

  See Also:
    Constant Field Values

### DEFAULT_ENCODING

    static final java.lang.String DEFAULT_ENCODING

  Encoding to use getting bytes from strings. Specify an encoding rather than leave it to chance: i.e whatever the JVMs encoding. Use an encoding that gets the stream as bytes, not chars.

  See Also:
    Constant Field Values

### LINE_SEPARATOR

    static final char LINE_SEPARATOR

  ARC file line seperator character. This is what the alexa c-code looks for delimiting lines.

  See Also:
    Constant Field Values

### HEADER_FIELD_SEPARATOR

    static final char HEADER_FIELD_SEPARATOR

  ARC header field seperator character.

  See Also:
    Constant Field Values

### ARC_MAGIC_NUMBER

    static final java.lang.String ARC_MAGIC_NUMBER

  ARC file *MAGIC NUMBER*. Every ARC file must begin w/ this.

  See Also:
    Constant Field Values

### ARC_GZIP_EXTRA_FIELD

    static final byte[] ARC_GZIP_EXTRA_FIELD

  The FLG.FEXTRA field that is added to ARC files. (See RFC1952 to understand FLG.FEXTRA).

### IP_HEADER_FIELD_KEY

    static final java.lang.String IP_HEADER_FIELD_KEY

  Key for the ARC Header IP field. Lowercased.

  See Also:
    Constant Field Values

### CODE_HEADER_FIELD_KEY

    static final java.lang.String CODE_HEADER_FIELD_KEY

  Key for the ARC Header Result Code field. Lowercased.

  See Also:
    Constant Field Values

### CHECKSUM_HEADER_FIELD_KEY

    static final java.lang.String CHECKSUM_HEADER_FIELD_KEY

  Key for the ARC Header Checksum field. Lowercased.

  See Also:
    Constant Field Values

### LOCATION_HEADER_FIELD_KEY

    static final java.lang.String LOCATION_HEADER_FIELD_KEY

  Key for the ARC Header Location field. Lowercased.

  See Also:
    Constant Field Values

### OFFSET_HEADER_FIELD_KEY

    static final java.lang.String OFFSET_HEADER_FIELD_KEY

  Key for the ARC Header Offset field. Lowercased.

  See Also:
    Constant Field Values

### FILENAME_HEADER_FIELD_KEY

    static final java.lang.String FILENAME_HEADER_FIELD_KEY

  Key for the ARC Header filename field. Lowercased.

  See Also:
    Constant Field Values

### STATUSCODE_FIELD_KEY

    static final java.lang.String STATUSCODE_FIELD_KEY

  Key for statuscode field.

  See Also:
    Constant Field Values

### OFFSET_FIELD_KEY

    static final java.lang.String OFFSET_FIELD_KEY

  Key for offset field.

  See Also:
    Constant Field Values

### FILENAME_FIELD_KEY

    static final java.lang.String FILENAME_FIELD_KEY

  Key for filename field.

  See Also:
    Constant Field Values

### CHECKSUM_FIELD_KEY

    static final java.lang.String CHECKSUM_FIELD_KEY

  Key for checksum field.

  See Also:
    Constant Field Values

### TOKENIZED_PREFIX

    static final java.lang.String TOKENIZED_PREFIX

  Tokenized field prefix. Use this prefix for tokenized fields when naming fields in an index.

  See Also:
    Constant Field Values

### REQUIRED_VERSION_1_HEADER_FIELDS

    static final java.util.List REQUIRED_VERSION_1_HEADER_FIELDS

  Version 1 required metadata fields.

### MINIMUM_RECORD_LENGTH

    static final int MINIMUM_RECORD_LENGTH

  Minimum possible record length. This is a rough calc. When the header is data it will occupy less space.

### GZIP_HEADER_BEGIN

    static final byte[] GZIP_HEADER_BEGIN

  Start of a GZIP header that uses default deflater.

### DEFAULT_GZIP_HEADER_LENGTH

    static final int DEFAULT_GZIP_HEADER_LENGTH

  Length of minimual 'default GZIP header. See RFC1952 for explaination of value of 10.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.